<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;body>&lt;asset>&lt;version>&lt;childTemplates/>&lt;customId>Kroatien&lt;/customId>&lt;template>&lt;id/>&lt;customId>LAND&lt;/customId>&lt;/template>&lt;customAttributes/>&lt;versionedAttributes>&lt;attribute>&lt;key>senderCode&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>active&lt;/key>&lt;value>true&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>mailAddress&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>interactionRequiredForSending&lt;/key>&lt;value>&lt;rows/>&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>checkGroup&lt;/key>&lt;attributes>&lt;attribute>&lt;key>ignoreChecks&lt;/key>&lt;value>&lt;rows/>&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>checkUnknownPointMandant&lt;/key>&lt;value>Ignore&lt;/value>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;key>pointViewProcesses&lt;/key>&lt;attributes/>&lt;/attribute>&lt;attribute>&lt;key>excelTemplatesPath&lt;/key>&lt;value/>&lt;/attribute>&lt;/versionedAttributes>&lt;/version>&lt;unversionedAttributes/>&lt;/asset>&lt;versionComment/>&lt;activationPolicy>true&lt;/activationPolicy>&lt;return>true&lt;/return>&lt;returnParameters>&lt;updatedOn>HEAD&lt;/updatedOn>&lt;withoutHiddenAttributes>true&lt;/withoutHiddenAttributes>&lt;other>PREVIOUS&lt;/other>&lt;/returnParameters>&lt;templateCustomId>LAND&lt;/templateCustomId>&lt;customId>Kroatien&lt;/customId>&lt;/body></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISCurrentTime">1543252234298</Property>
		<Property name="ISWorkflowName">VAM_am_028_updateAsset</Property>
		<Property name="ISModuleName">VAM_am_demultiplexer</Property>
		<Property name="ISModuleId">29</Property>
		<Property name="ISProcessId">7116434</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISGlobalProcessId">7116434</Property>
		<Property name="ISInvokingWorkflow">VAM_api_dispatching</Property>
		<Property name="ISInvokingModule">VAM_am_wfc_028_updateAsset</Property>
		<Property name="log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="var.request" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;body>&lt;asset>&lt;id>10160&lt;/id>&lt;version>&lt;childTemplates/>&lt;customId/>&lt;customAttributes/>&lt;versionedAttributes>&lt;attribute>&lt;key>senderCode&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>active&lt;/key>&lt;value>true&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>mailAddress&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>interactionRequiredForSending&lt;/key>&lt;value>&lt;rows/>&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>checkGroup&lt;/key>&lt;attributes>&lt;attribute>&lt;key>ignoreChecks&lt;/key>&lt;value>&lt;rows/>&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>checkUnknownPointMandant&lt;/key>&lt;value>Ignore&lt;/value>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;key>pointViewProcesses&lt;/key>&lt;attributes/>&lt;/attribute>&lt;attribute>&lt;key>excelTemplatesPath&lt;/key>&lt;value/>&lt;/attribute>&lt;/versionedAttributes>&lt;/version>&lt;unversionedAttributes/>&lt;/asset>&lt;versionComment/>&lt;activationPolicy>true&lt;/activationPolicy>&lt;return>true&lt;/return>&lt;returnParameters>&lt;updatedOn>HEAD&lt;/updatedOn>&lt;withoutHiddenAttributes>true&lt;/withoutHiddenAttributes>&lt;other>PREVIOUS&lt;/other>&lt;/returnParameters>&lt;/body&gt;</Property>
		<Property name="var.isNewVersion">true</Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;parameters>&lt;asset>&lt;id>10160&lt;/id>&lt;version>&lt;childTemplates/>&lt;customId/>&lt;customAttributes/>&lt;versionedAttributes>&lt;attribute>&lt;key>senderCode&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>active&lt;/key>&lt;value>true&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>mailAddress&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>interactionRequiredForSending&lt;/key>&lt;value>&lt;rows/>&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>checkGroup&lt;/key>&lt;attributes>&lt;attribute>&lt;key>ignoreChecks&lt;/key>&lt;value>&lt;rows/>&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>checkUnknownPointMandant&lt;/key>&lt;value>Ignore&lt;/value>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;key>pointViewProcesses&lt;/key>&lt;attributes/>&lt;/attribute>&lt;attribute>&lt;key>excelTemplatesPath&lt;/key>&lt;value/>&lt;/attribute>&lt;/versionedAttributes>&lt;/version>&lt;unversionedAttributes/>&lt;/asset>&lt;versionComment/>&lt;activationPolicy>true&lt;/activationPolicy>&lt;return>true&lt;/return>&lt;returnParameters>&lt;updatedOn>HEAD&lt;/updatedOn>&lt;withoutHiddenAttributes>true&lt;/withoutHiddenAttributes>&lt;other>PREVIOUS&lt;/other>&lt;/returnParameters>&lt;/parameters>&lt;withUser>false&lt;/withUser>&lt;startTimestamp>1543252234290&lt;/startTimestamp>&lt;/request>&lt;configuration>&lt;api>&lt;database>&lt;type>oracle&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;response>&lt;debuggingInformation>false&lt;/debuggingInformation>&lt;format>false&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;user>&lt;maxAge>P0DT2H0M5S&lt;/maxAge>&lt;/user>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;alerting>&lt;recipient>&lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress>&lt;/recipient>&lt;mail>&lt;host>smtp.googlemail.com&lt;/host>&lt;sender>&lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>&lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;hosts>&lt;item>&lt;key>dev04.virtimo.net:8191&lt;/key>&lt;url>http://localhost:8191/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>localhost:8191&lt;/key>&lt;url>http://localhost:8191/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>localhost:8080&lt;/key>&lt;url>http://localhost:8191/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev04.virtimo.net:8181&lt;/key>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;/hosts>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>mm&lt;/id>&lt;displayName&gt;mm&lt;/displayName>&lt;loginName>mm&lt;/loginName>&lt;name>mm&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;roles>&lt;role>Power User&lt;/role>&lt;role>User&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM_organization_cktest&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;role>bpcuser&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method&gt;executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;/permissions>&lt;organizations>&lt;organization>&lt;id>cktest&lt;/id>&lt;displayName>ckTEST&lt;/displayName>&lt;name>ckTEST&lt;/name>&lt;configuration>&lt;featureActiveVersionsDisabled>true&lt;/featureActiveVersionsDisabled>&lt;am>
    &lt;overviews>
      &lt;overview>
        &lt;singleTemplateMode>
          &lt;templateCustomId>LAND&lt;/templateCustomId>
        &lt;/singleTemplateMode>
        &lt;canCreate>true&lt;/canCreate>
        &lt;canDelete>true&lt;/canDelete>
        &lt;columns>
          &lt;changes>
            &lt;column>
              &lt;dataIndex>customId&lt;/dataIndex&gt;
              &lt;hidden>false&lt;/hidden>
            &lt;/column>
          &lt;/changes>
          &lt;order>
            &lt;dataIndex>children.joinedDisplayNames&lt;/dataIndex>
            &lt;dataIndex>versionedAttribute.active&lt;/dataIndex>
            &lt;dataIndex>lastUpdatedOn&lt;/dataIndex>
            &lt;dataIndex>parents.joinedDisplayNames&lt;/dataIndex>
            &lt;dataIndex>versionedAttribute.senderCode&lt;/dataIndex>
            &lt;dataIndex>createdByUserDisplayName&lt;/dataIndex>
          &lt;/order>
        &lt;/columns>
      &lt;/overview>
      &lt;overview>
        &lt;canCreate>true&lt;/canCreate>
        &lt;canDelete>true&lt;/canDelete>
      &lt;/overview>
    &lt;/overviews>
  &lt;/am>&lt;/configuration>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;locale>en&lt;/locale>&lt;language>en&lt;/language>&lt;country/>&lt;/user>&lt;/session></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:am="http://www.bosch-si.com/2013/AM" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>
  &lt;xsl:output method="xml" encoding="UTF-8"/>
  &lt;xsl:param name="var.session" as="element()"/>&lt;xsl:template match="/*">&lt;xsl:variable name="var.body" as="element()">&lt;root>&lt;xsl:choose>&lt;xsl:when test="exists(asset)">&lt;xsl:copy-of select="asset/id | asset/version/customId"/>&lt;templateId>&lt;xsl:value-of select="asset/version/template/id"/>&lt;/templateId>&lt;templateCustomId>&lt;xsl:value-of select="asset/version/template/customId"/>&lt;/templateCustomId>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:copy-of select="id | customId | templateId | templateCustomId"/>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/root>&lt;/xsl:variable>&lt;xsl:if test="not ($var.body/id != '' or ($var.body/customId != '' and ($var.body/templateId != '' or $var.body/templateCustomId != '')))">&lt;xsl:value-of select="error(xs:QName('error'), 'Bad request.')"/>&lt;/xsl:if>&lt;xsl:for-each select="$var.body">&lt;queries>&lt;query properties="force">&lt;value>&lt;xsl:text>select a.ID from assets a  &lt;/xsl:text>&lt;xsl:if test="not (templateId != '')">&lt;xsl:text> join templates t on a.templateId = t.id &lt;/xsl:text>&lt;/xsl:if>&lt;xsl:text> where &lt;/xsl:text>&lt;xsl:choose>&lt;xsl:when test="id != ''">&lt;xsl:text> a.ID = &lt;/xsl:text>&lt;xsl:value-of select="am:numberToDB(id)"/>&lt;/xsl:when>&lt;xsl:otherwise&gt;&lt;xsl:text> a.CUSTOMID =&lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB(customId)"/>&lt;xsl:choose>&lt;xsl:when test="templateId != ''">&lt;xsl:text> and a.TEMPLATEID = &lt;/xsl:text>&lt;xsl:value-of select="am:numberToDB(templateId)"/>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:text> and t.CUSTOMID = &lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB(templateCustomId)"/>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;xsl:text> and a.ORGANIZATIONID = &lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.session/user/organizations/organization/id)"/>&lt;xsl:text> and a.DELETED = '0'&lt;/xsl:text>&lt;/value>
        
      &lt;/query>
      
      
      
      
      
    &lt;/queries>&lt;/xsl:for-each>
     
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>